Subject: Re: Please default to 'commit -a' when no changes were added

From: Miles Bader <[email-masked]>
Date: Fri, 23 Apr 2010 18:31:17 +0900

Goswin von Brederlow <[email-masked]> writes:
> You all say the index is such a great thing. So I might use it
> eventually. Other people might use it 1 out of 10 times. Yet other
> people use it 9 out of 10 times. Can you at least accept that the use of
> the index feature is different for each person?

In my case, I use the index extremely often, for complex commits that I
want to split up -- but I _also_ use "-a" maybe 30-40% of the time, for
simple commits that don't need splitting.

I think the "default to -a if index is empty and there are no args"
behavior sounds perfect.  It would have no real adverse effects as far
as I can see, and would make git a little more convenient for everybody.

-miles

-- 
I'm beginning to think that life is just one long Yoko Ono album; no rhyme
or reason, just a lot of incoherent shrieks and then it's over.  --Ian Wolff